function eigsconvergence(n,Nrange)
%input n quantum number from 1 to 5

t=pi^2*n^2; %true answer

err3point = [];
for N=Nrange
%three point stencil
[x,H] = schrod(N,@infwell);
H = sparse(H); %make H sparse
[u e] = eigs(H,5,0); %first five eigenvalues
e = diag(e);
[e i] = sort(e);
err3point = [err3point abs(t-e(n))/t]; %absolute error
end

figure;loglog(Nrange,err3point,'r*-');
xlabel('N');
ylabel('err');
legend('Three Point Stencil','Five Point Stencil');
x = log(Nrange);
y1 = log(err3point);
figure;plot(x,y1,'r*-');