function[xval,H] = fivepointschrod1(n, V)
%modify fivepointschrod to get better converg for smaller n
%prof suggestions:

% My question::->> (u3). Since our boundary condition is u0 = 0 I assumed that u-1 = 0 
% > too for the fivepoint stencil formula. For threepoint for first 
% > element (u1) u0 =0
% 
% u(0)=0 and u(-h) =0 ? This will actually impose 2 conditions, u=0 and u'=0, which may force u vanish, bad.
% Instead, make just u(0)=0 in the 2nd row of your lin sys, and u(0)=0 in the 1st row but there roll a non-symm 5-pt formula for
% u''(h) using the values u(0)=0,u(h),u(2h),u(3h),u(4h).

%-------------------
% using non-symmetric five point stencil for first row! and last row!


dx = 1/ (n+1);
term0 = (5 / (2*dx^2)); %middle term in five point stencil (excluding poten term)
term1 = -(4/(3*dx^2)); %first left and right term in five point stencil
term2 = (1 / (12*dx^2)); %second left and rigth term 

xval = zeros(n,1);  %grid points

H = zeros(n,n);

%handle first row using non-centered five point stencil formula
%see mathematica and notebook for derivation

H(1,1) = (5/(3*dx^2)) + V(1*dx);
H(1,2) = (-1/(2*dx^2));
H(1,3) = (-1/(3*dx^2));
H(1,4) = (1/(12*dx^2));

%use the non-centered five point stencil for the last row as well
%coefficents just reverse ordered
H(n,n) = (5/(3*dx^2)) + V(n*dx);
H(n,n-1) = (-1/(2*dx^2));
H(n,n-2) = (-1/(3*dx^2));
H(n,n-3) = (1/(12*dx^2));

% f2 = -(5/(3*dx^2))*f(x) + (1 / (2 * dx^2))*f(x+dx) + (1 / (12 * dx^2))*f(x-dx) + (1 / (3 * dx^2))*f(x+2*dx) - (1 / (12 * dx^2))*f(x+3*dx);

xval(1) = (1*dx);
xval(n) = (n*dx);

%using centered fivepoint stencil
for j = 2:n-1
    %populate with the central term in stencil
    H(j,j) = term0 + V(j*dx);
    %handle second, second last and last row separately
    if j == 2
        H(j,j-1) = term1;
        H(j,j+1) = term1;
        H(j,j+2) = term2;
        %no j-2 term
%     elseif j == n
%         H(j,j-1) = term1;
%         H(j,j-2) = term2;
        %no j+1 and j+2 term
    elseif j == n-1 
        H(j,j-1) = term1;
        H(j,j-2) = term2;
        H(j,j+1) = term1;
        %no j+2 term
    else 
        H(j,j-1) = term1;
        H(j,j-2) = term2;
        H(j,j+1) = term1;
        H(j,j+2) = term2;
    end   
    
    xval(j) = (j * dx);
end


%to check if solutions satisfy 
%[u E] = eig(H);
%U = sin(pi*x); %actual solutions
%pi^2 actual eigenvalues
%plot(x,H*U - pi^2*U,'.-')
    
    
    
    
    