function plotenergygraphs
%to plot true energy vs n curve
%along with calc energy vs n for 
%three point and five point stencil

n = 1000;

% [x,H] = schrod(n,@infwell);
% [x1,H1] = fivepointschrod1(n,@infwell);

% [U,E] = eig(H); %get eigenvalues E and eigenstates U
% E = diag(E);
% [E i] = sort(E); %sort in ascending order
% [U1,E1] = eig(H1);
% E1 = diag(E1); 
% [E1 i] = sort(E1);

%three point; order 2 convergence
coeff = [1,-2]; 
coeffb = [1,-2,1];
[v,e]=schrodcenter(n,@infwell,0,1,coeff,coeffb);

%five point; order 4 convergence
coeff = [-1/12,4/3,-5/2];
coeffb=[-11/12,-5/3,1/2,1/3,-1/12];
[v1,e1]=schrodcenter(n,@infwell,0,1,coeff,coeffb);


% %6th order accuracy
% %nine point stencil for centered part
% % 
% % coeff = [-1/560,8/315,-1/5,8/5,-205/72]; %9point 8th order accuracy
% % coeffb=[469/90,-223/10,879/20,-949/18,41,-201/10,1019/180,-7/10];
% 
% coeff = [-9/5040,128/5040,-1008/5040,8064/5040,-14350/5040];
% coeffb = [3267,128,-20916,38556,-37030,23688,-9828,2396,-216]/5040;
% [v2,e2]=schrodcenter(n,@infwell,0,1,coeff,coeffb);

%exact solutions for eigenvalues:
%E=k^2 (using psi(x) = asin(kx) + bcos(kx) as test solution)
%schro eq: -u'' + v(x) u = E u

%with boundary conditions: k=n pi; n=quantum no
%E = k^2 = n^2 pi^2; parabolic funciton of n
trueE = @(n) n.^2*pi^2;
range = 1:n;
alltrueE = trueE(range); %get all true energies

plot(range,alltrueE,'r-',range,e,'b-',range,e1,'g-');
xlabel('n'); ylabel('E_{n}');
title('Comparing Energy EigenValues of 1D Infinite Well using Two Finite Difference Schemes');
legend('true E','three point stencil','five point stencil');

% range = 1:10;
% E = diag(E);
% E1 = diag(E1);
% figure; plot(range,alltrueE(range),'r*',range,E(range),'bo',range,E1(range),'gs');
% axis([1 2 0 40])
%can prove the resulting curves for calculated E

%find regions where each finite difference scheme is better
