(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     29903,       1008]
NotebookOptionsPosition[     27461,        922]
NotebookOutlinePosition[     27826,        938]
CellTagsIndexPosition[     27783,        935]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"Clear", "[", "h", "]"}]], "Input",
 CellChangeTimes->{{3.6100474860372934`*^9, 3.6100474889604607`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"A", "=", GridBox[{
    {"1", "1", "1", "1", "1"},
    {
     RowBox[{"-", "1"}], "0", "1", "2", "3"},
    {
     RowBox[{
      RowBox[{"h", "^", "2"}], "/", "2"}], "0", 
     RowBox[{
      RowBox[{"h", "^", "2"}], "/", "2"}], 
     RowBox[{"2", "*", 
      RowBox[{"h", "^", "2"}]}], 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"9", 
        RowBox[{"h", "^", "2"}]}], ")"}], "/", "2"}]},
    {
     RowBox[{
      RowBox[{"-", "1"}], "/", "6"}], "0", 
     RowBox[{"1", "/", "6"}], 
     RowBox[{"4", "/", "3"}], 
     RowBox[{"9", "/", "2"}]},
    {
     RowBox[{"1", "/", "24"}], "0", 
     RowBox[{"1", "/", "24"}], 
     RowBox[{"2", "/", "3"}], 
     RowBox[{"27", "/", "8"}]}
   }]}]], "Input",
 CellChangeTimes->{{3.610047106981612*^9, 3.6100471907844057`*^9}, {
  3.61004791677493*^9, 3.6100479300476894`*^9}, {3.61010558358917*^9, 
  3.610105677048934*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "1", ",", "1", ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", "0", ",", "1", ",", "2", ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     FractionBox[
      SuperscriptBox["h", "2"], "2"], ",", "0", ",", 
     FractionBox[
      SuperscriptBox["h", "2"], "2"], ",", 
     RowBox[{"2", " ", 
      SuperscriptBox["h", "2"]}], ",", 
     FractionBox[
      RowBox[{"9", " ", 
       SuperscriptBox["h", "2"]}], "2"]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", 
      FractionBox["1", "6"]}], ",", "0", ",", 
     FractionBox["1", "6"], ",", 
     FractionBox["4", "3"], ",", 
     FractionBox["9", "2"]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     FractionBox["1", "24"], ",", "0", ",", 
     FractionBox["1", "24"], ",", 
     FractionBox["2", "3"], ",", 
     FractionBox["27", "8"]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.6100471747984915`*^9, 3.6100471926805143`*^9}, 
   3.6100474909875765`*^9, 3.610047930566719*^9, {3.610047996032463*^9, 
   3.610048012834424*^9}, 3.6100480641383586`*^9, 3.6101056866741505`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"A", ".", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c", ",", "d", ",", "e"}], "}"}]}], " ", 
  "\[Equal]", " ", 
  RowBox[{"{", 
   RowBox[{"0", ",", "0", ",", "1", ",", "0", ",", "0"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.610047941822363*^9, 3.610047953199013*^9}, {
  3.610048067781567*^9, 3.6100480679495764`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{
    RowBox[{"a", "+", "b", "+", "c", "+", "d", "+", "e"}], ",", 
    RowBox[{
     RowBox[{"-", "a"}], "+", "c", "+", 
     RowBox[{"2", " ", "d"}], "+", 
     RowBox[{"3", " ", "e"}]}], ",", 
    RowBox[{
     FractionBox[
      RowBox[{"a", " ", 
       SuperscriptBox["h", "2"]}], "2"], "+", 
     FractionBox[
      RowBox[{"c", " ", 
       SuperscriptBox["h", "2"]}], "2"], "+", 
     RowBox[{"2", " ", "d", " ", 
      SuperscriptBox["h", "2"]}], "+", 
     FractionBox[
      RowBox[{"9", " ", "e", " ", 
       SuperscriptBox["h", "2"]}], "2"]}], ",", 
    RowBox[{
     RowBox[{"-", 
      FractionBox["a", "6"]}], "+", 
     FractionBox["c", "6"], "+", 
     FractionBox[
      RowBox[{"4", " ", "d"}], "3"], "+", 
     FractionBox[
      RowBox[{"9", " ", "e"}], "2"]}], ",", 
    RowBox[{
     FractionBox["a", "24"], "+", 
     FractionBox["c", "24"], "+", 
     FractionBox[
      RowBox[{"2", " ", "d"}], "3"], "+", 
     FractionBox[
      RowBox[{"27", " ", "e"}], "8"]}]}], "}"}], "\[Equal]", 
  RowBox[{"{", 
   RowBox[{"0", ",", "0", ",", "1", ",", "0", ",", "0"}], "}"}]}]], "Output",
 CellChangeTimes->{3.610047954658097*^9, 3.6100480689636345`*^9, 
  3.610105689450956*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{"%", ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c", ",", "d", ",", "e"}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.610047957848279*^9, 3.6100479671688128`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"a", "\[Rule]", 
     FractionBox["11", 
      RowBox[{"12", " ", 
       SuperscriptBox["h", "2"]}]]}], ",", 
    RowBox[{"b", "\[Rule]", 
     RowBox[{"-", 
      FractionBox["5", 
       RowBox[{"3", " ", 
        SuperscriptBox["h", "2"]}]]}]}], ",", 
    RowBox[{"c", "\[Rule]", 
     FractionBox["1", 
      RowBox[{"2", " ", 
       SuperscriptBox["h", "2"]}]]}], ",", 
    RowBox[{"d", "\[Rule]", 
     FractionBox["1", 
      RowBox[{"3", " ", 
       SuperscriptBox["h", "2"]}]]}], ",", 
    RowBox[{"e", "\[Rule]", 
     RowBox[{"-", 
      FractionBox["1", 
       RowBox[{"12", " ", 
        SuperscriptBox["h", "2"]}]]}]}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.610047967669841*^9, 3.6100480736789045`*^9, 
  3.6101056923993607`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"a", ",", "b", ",", "c", ",", "d", ",", "e"}], "}"}], "/.", 
  "\[VeryThinSpace]", 
  RowBox[{"{", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", "\[Rule]", 
      FractionBox["11", 
       RowBox[{"12", " ", 
        SuperscriptBox["h", "2"]}]]}], ",", 
     RowBox[{"b", "\[Rule]", 
      RowBox[{"-", 
       FractionBox["5", 
        RowBox[{"3", " ", 
         SuperscriptBox["h", "2"]}]]}]}], ",", 
     RowBox[{"c", "\[Rule]", 
      FractionBox["1", 
       RowBox[{"2", " ", 
        SuperscriptBox["h", "2"]}]]}], ",", 
     RowBox[{"d", "\[Rule]", 
      FractionBox["1", 
       RowBox[{"3", " ", 
        SuperscriptBox["h", "2"]}]]}], ",", 
     RowBox[{"e", "\[Rule]", 
      RowBox[{"-", 
       FractionBox["1", 
        RowBox[{"12", " ", 
         SuperscriptBox["h", "2"]}]]}]}]}], "}"}], "}"}]}]], "Input",
 NumberMarks->False],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    FractionBox["11", 
     RowBox[{"12", " ", 
      SuperscriptBox["h", "2"]}]], ",", 
    RowBox[{"-", 
     FractionBox["5", 
      RowBox[{"3", " ", 
       SuperscriptBox["h", "2"]}]]}], ",", 
    FractionBox["1", 
     RowBox[{"2", " ", 
      SuperscriptBox["h", "2"]}]], ",", 
    FractionBox["1", 
     RowBox[{"3", " ", 
      SuperscriptBox["h", "2"]}]], ",", 
    RowBox[{"-", 
     FractionBox["1", 
      RowBox[{"12", " ", 
       SuperscriptBox["h", "2"]}]]}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.6101057311030293`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Flatten", "[", 
  RowBox[{"{", 
   RowBox[{"{", 
    RowBox[{
     FractionBox["11", 
      RowBox[{"12", " ", 
       SuperscriptBox["h", "2"]}]], ",", 
     RowBox[{"-", 
      FractionBox["5", 
       RowBox[{"3", " ", 
        SuperscriptBox["h", "2"]}]]}], ",", 
     FractionBox["1", 
      RowBox[{"2", " ", 
       SuperscriptBox["h", "2"]}]], ",", 
     FractionBox["1", 
      RowBox[{"3", " ", 
       SuperscriptBox["h", "2"]}]], ",", 
     RowBox[{"-", 
      FractionBox["1", 
       RowBox[{"12", " ", 
        SuperscriptBox["h", "2"]}]]}]}], "}"}], "}"}], "]"}]], "Input",
 NumberMarks->False],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"test", "=", 
  RowBox[{"{", 
   RowBox[{
    FractionBox["11", 
     RowBox[{"12", " ", 
      SuperscriptBox["h", "2"]}]], ",", 
    RowBox[{"-", 
     FractionBox["5", 
      RowBox[{"3", " ", 
       SuperscriptBox["h", "2"]}]]}], ",", 
    FractionBox["1", 
     RowBox[{"2", " ", 
      SuperscriptBox["h", "2"]}]], ",", 
    FractionBox["1", 
     RowBox[{"3", " ", 
      SuperscriptBox["h", "2"]}]], ",", 
    RowBox[{"-", 
     FractionBox["1", 
      RowBox[{"12", " ", 
       SuperscriptBox["h", "2"]}]]}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.6101057543938704`*^9, 3.6101057579038763`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox["11", 
    RowBox[{"12", " ", 
     SuperscriptBox["h", "2"]}]], ",", 
   RowBox[{"-", 
    FractionBox["5", 
     RowBox[{"3", " ", 
      SuperscriptBox["h", "2"]}]]}], ",", 
   FractionBox["1", 
    RowBox[{"2", " ", 
     SuperscriptBox["h", "2"]}]], ",", 
   FractionBox["1", 
    RowBox[{"3", " ", 
     SuperscriptBox["h", "2"]}]], ",", 
   RowBox[{"-", 
    FractionBox["1", 
     RowBox[{"12", " ", 
      SuperscriptBox["h", "2"]}]]}]}], "}"}]], "Output",
 CellChangeTimes->{3.6101057584966774`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"a", "=", 
  RowBox[{"test", "[", 
   RowBox[{"[", "1", "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"b", "=", 
  RowBox[{"test", "[", 
   RowBox[{"[", "2", "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"c", "=", " ", 
  RowBox[{"test", "[", 
   RowBox[{"[", "3", "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"d", "=", 
  RowBox[{"test", "[", 
   RowBox[{"[", "4", "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"e", "=", 
  RowBox[{"test", "[", 
   RowBox[{"[", "5", "]"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.6101057595886793`*^9, 3.6101057914595346`*^9}}],

Cell[BoxData[
 FractionBox["11", 
  RowBox[{"12", " ", 
   SuperscriptBox["h", "2"]}]]], "Output",
 CellChangeTimes->{{3.610105765423089*^9, 3.610105792629537*^9}}],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox["5", 
   RowBox[{"3", " ", 
    SuperscriptBox["h", "2"]}]]}]], "Output",
 CellChangeTimes->{{3.610105765423089*^9, 3.610105792629537*^9}}],

Cell[BoxData[
 FractionBox["1", 
  RowBox[{"2", " ", 
   SuperscriptBox["h", "2"]}]]], "Output",
 CellChangeTimes->{{3.610105765423089*^9, 3.610105792629537*^9}}],

Cell[BoxData[
 FractionBox["1", 
  RowBox[{"3", " ", 
   SuperscriptBox["h", "2"]}]]], "Output",
 CellChangeTimes->{{3.610105765423089*^9, 3.610105792629537*^9}}],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox["1", 
   RowBox[{"12", " ", 
    SuperscriptBox["h", "2"]}]]}]], "Output",
 CellChangeTimes->{{3.610105765423089*^9, 3.610105792629537*^9}}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{"Clear", "[", "h", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Clear", "[", "x", "]"}]}], "Input",
 CellChangeTimes->{{3.6101060484387865`*^9, 3.6101060541639967`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"f", "[", "x_", "]"}], ":=", " ", 
  RowBox[{"x", "^", "2"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"f2", "[", 
   RowBox[{"x_", ",", "h_"}], "]"}], " ", ":=", " ", 
  RowBox[{
   RowBox[{
    FractionBox["11", 
     RowBox[{"12", " ", 
      SuperscriptBox["h", "2"]}]], "*", " ", 
    RowBox[{"f", "[", 
     RowBox[{"x", "-", "h"}], "]"}]}], " ", "-", 
   RowBox[{
    FractionBox["5", 
     RowBox[{"3", " ", 
      SuperscriptBox["h", "2"]}]], " ", "*", " ", "b", " ", 
    RowBox[{"f", "[", "x", "]"}]}], " ", "+", 
   RowBox[{
    FractionBox["1", 
     RowBox[{"2", " ", 
      SuperscriptBox["h", "2"]}]], " ", "*", " ", 
    RowBox[{"f", "[", 
     RowBox[{"x", "+", "h"}], "]"}]}], " ", "+", " ", 
   RowBox[{
    FractionBox["1", 
     RowBox[{"3", " ", 
      SuperscriptBox["h", "2"]}]], "*", " ", 
    RowBox[{"f", "[", 
     RowBox[{"x", "+", 
      RowBox[{"2", "h"}]}], "]"}]}], "+", 
   RowBox[{
    RowBox[{"-", 
     FractionBox["1", 
      RowBox[{"12", " ", 
       SuperscriptBox["h", "2"]}]]}], " ", 
    RowBox[{"f", "[", 
     RowBox[{"x", " ", "+", " ", 
      RowBox[{"3", "h"}]}], "]"}]}]}]}]}], "Input",
 CellChangeTimes->{{3.6101058014903526`*^9, 3.6101058260135956`*^9}, {
  3.610105861410058*^9, 3.6101060120439224`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"f2", "[", 
  RowBox[{"1", ",", ".01"}], "]"}]], "Input",
 CellChangeTimes->{{3.6101059534814196`*^9, 3.6101059591910295`*^9}, {
  3.61010602218394*^9, 3.610106026614348*^9}}],

Cell[BoxData[
 RowBox[{"16668.666666666664`", "\[VeryThinSpace]", "+", 
  FractionBox["27777.777777777774`", 
   SuperscriptBox["h", "2"]]}]], "Output",
 CellChangeTimes->{
  3.610105960033431*^9, {3.610106016833131*^9, 3.610106027051149*^9}, {
   3.6101060571280017`*^9, 3.610106061496009*^9}}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"f2", "[", 
   RowBox[{"x_", ",", "h_"}], "]"}], " ", ":=", " ", 
  RowBox[{
   RowBox[{
    FractionBox["11", 
     RowBox[{"12", " ", 
      SuperscriptBox["h", "2"]}]], "*", " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"x", "-", "h"}], ")"}], "^", "2"}]}], "-", 
   RowBox[{
    FractionBox["5", 
     RowBox[{"3", " ", 
      SuperscriptBox["h", "2"]}]], " ", "*", " ", "b", " ", 
    RowBox[{
     RowBox[{"(", "x", ")"}], "^", "2"}]}], " ", "+", 
   RowBox[{
    FractionBox["1", 
     RowBox[{"2", " ", 
      SuperscriptBox["h", "2"]}]], " ", "*", " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"x", "+", "h"}], ")"}], "^", "2"}]}], " ", "+", " ", 
   RowBox[{
    FractionBox["1", 
     RowBox[{"3", " ", 
      SuperscriptBox["h", "2"]}]], "*", " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"x", "+", 
       RowBox[{"2", "h"}]}], ")"}], "^", "2"}]}], "+", 
   RowBox[{
    RowBox[{"-", 
     FractionBox["1", 
      RowBox[{"12", " ", 
       SuperscriptBox["h", "2"]}]]}], " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"x", "+", 
       RowBox[{"3", "h"}]}], ")"}], "^", "2"}]}]}]}]], "Input",
 CellChangeTimes->{{3.610106097625673*^9, 3.610106147748561*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"f2", "[", 
  RowBox[{"0", ",", "100"}], "]"}]], "Input",
 CellChangeTimes->{{3.6101061545969725`*^9, 3.6101061880278316`*^9}}],

Cell[BoxData["2"], "Output",
 CellChangeTimes->{{3.6101061588401804`*^9, 3.610106188745433*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"f", "''"}], "[", "x", "]"}]], "Input",
 CellChangeTimes->{{3.6101061668897943`*^9, 3.610106168184597*^9}}],

Cell[BoxData["2"], "Output",
 CellChangeTimes->{3.6101061686057973`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"tt", " ", "=", " ", 
  RowBox[{
   RowBox[{
    FractionBox["11", 
     RowBox[{"12", " ", 
      SuperscriptBox["h", "2"]}]], "*", " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"x", "-", "h"}], ")"}], "^", "2"}]}], "-", 
   RowBox[{
    FractionBox["5", 
     RowBox[{"3", " ", 
      SuperscriptBox["h", "2"]}]], " ", "*", " ", "b", " ", 
    RowBox[{
     RowBox[{"(", "x", ")"}], "^", "2"}]}], " ", "+", 
   RowBox[{
    FractionBox["1", 
     RowBox[{"2", " ", 
      SuperscriptBox["h", "2"]}]], " ", "*", " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"x", "+", "h"}], ")"}], "^", "2"}]}], " ", "+", " ", 
   RowBox[{
    FractionBox["1", 
     RowBox[{"3", " ", 
      SuperscriptBox["h", "2"]}]], "*", " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"x", "+", 
       RowBox[{"2", "h"}]}], ")"}], "^", "2"}]}], "+", 
   RowBox[{
    RowBox[{"-", 
     FractionBox["1", 
      RowBox[{"12", " ", 
       SuperscriptBox["h", "2"]}]]}], " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"x", "+", 
       RowBox[{"3", "h"}]}], ")"}], "^", "2"}]}]}]}]], "Input",
 CellChangeTimes->{{3.6101062073250656`*^9, 3.6101062090878687`*^9}}],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{"25", " ", 
    SuperscriptBox["x", "2"]}], 
   RowBox[{"9", " ", 
    SuperscriptBox["h", "4"]}]], "+", 
  FractionBox[
   RowBox[{"11", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "h"}], "+", "x"}], ")"}], "2"]}], 
   RowBox[{"12", " ", 
    SuperscriptBox["h", "2"]}]], "+", 
  FractionBox[
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"h", "+", "x"}], ")"}], "2"], 
   RowBox[{"2", " ", 
    SuperscriptBox["h", "2"]}]], "+", 
  FractionBox[
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "h"}], "+", "x"}], ")"}], "2"], 
   RowBox[{"3", " ", 
    SuperscriptBox["h", "2"]}]], "-", 
  FractionBox[
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"3", " ", "h"}], "+", "x"}], ")"}], "2"], 
   RowBox[{"12", " ", 
    SuperscriptBox["h", "2"]}]]}]], "Output",
 CellChangeTimes->{3.610106210694671*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"tt", "/.", 
    RowBox[{"h", "\[Rule]", "1000"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.610106261831561*^9, 3.6101062720339794`*^9}, {
  3.6101063774589643`*^9, 3.6101064050866127`*^9}, {3.610106459203108*^9, 
  3.610106476378738*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJw11Hs0lGkcB/BxGUJJndijkGshK1Rj2bXPHLSVg5USRcZwuhzGai1r0NEQ
UUsq2iapbRepJRI1uT5ya2iGrGu5X8ZlYt6otbK21u9p94/3vOfzz/s+z+/y
NQgM8zwmT6PRvFYeeFsiLenHjxT+xvPh0AqZNqZugROvKVx85/og2HZd4itR
D4WzCuIHwMyxuZbrxRR+33SgD+yZLC7YwaJwhxOtBxzVlhh6okaGVQ7FtII7
O9WkT9mzeHrp5yqwbm3YBludGVwScKsQ/Cikgb52QIoZ6Xk3wQGp1m9eJkxj
5g8WF8GLV2JTMJrCZXYRPHCO+qA2f2QC2+ixwsHZLtbhHecluGG/9zFwAofN
Nds3jkXnJIfBsQq/R4XPjmKdCUd3MJvXZtx9dwQncPSdwVerJfzs4GFsnzZk
D64YMl1daDiIM8R8a7CRBtPx4K0+XBlx1wz80DwleHSsF4sudBmAhxpL9BmM
bjwsmNsIllhctcGPO7DieTtN8Lq4ewxLuXbs+LhlLakX/aa7N+sFzizLUQdv
1TYQ02LbcNNQ8hqwBYOyyHsrwk1V36uB68plXtLM53hCMUgV7OMgi9vOaMEa
HLYKWFY7mx/RI8TO85xV4LPOsy/Kuc8w71qSMvhkykAtW78JLzCKlcCuIvED
FWEDZp6W0MFWGjW3S8Lqsd8JU2LNg0WXDn9Whz0WoxTB3317mV9thnHFNQ8F
cv+FxrVC4wrc+rUXjA/TMdwv5FZpGZ6M+VEOnNcnSZtOLMJS7nMa2Fx+qTTE
NxfnJh8hPrpfp6wvKBM/KNMi5nWadm6qd8B0+PqKy1Vju+oiMxCvaANxcynL
ueR8LlIw8SPeNSqnF+9TjBJyu4l/OeXf4CAoQ7QPn/5v9KbyvX1dOdrZ7ETO
d+SGwIVjh1G+7AA5/76cl2J3nzq0sJdP7icUb/V9UlyPMrJcyP33LEZOGSg3
onM8FVKv3W7rFf589AyFqtwn9ey9fHbUaUGIYiTxpN7B3e+eXmG0IN3ST/1I
Z/XwrAQi9LmRI+mf+narE6nrW5HbvM9q8MUPKW5ToW2Icfs06fczd901Huvb
kT9fSuZj1kAz7o+sDsS58g8UgBkZsY2drtWNvI3zyHz19Gt4Hhf2Ipu/L5D5
C4j+alLZtQ9t+63EFFy/zfZCPX0QCTrsyPxuUamayt07jJ5MztiR/asK2U1P
GUG7thg7gWlL8vfCR0eRnNqUG/iv/dX+jSbjKG+m0Afct5O1ySRRgjaMGZD9
OuWtsc6wfwLxU03J/mlnjvso6k6hMRf6GXCR7+38t9xplGRdkwb2djizV1gt
RUPuttngEv9QQ/vl18gqSKuA7Leqk0K51yz6KXu5kuxH+5cMXb4M7dgdLSLz
yY1m3yiSISu/O2JSz82CVO1GGfrCo5PkSzPHZkxzXoZC2mzaST6tMruk7kqh
Q+ZLXWC94uOVqYEUum9mSfJp2St3QjWaQhpKQb1gQc5mB+U7FHrn1fYKnOly
9GRSFYW4zUr94PC5rAyFDgopbUQk/zz4vTXx0xT6dQ+X5ON/+Yn+z89/AUDG
FvQ=
     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 2.},
  Method->{},
  PlotRange->{{-1, 1}, {2.0000000000003433`, 2.0000016666693083`}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{
  3.6101062727827806`*^9, {3.6101063780049653`*^9, 3.610106405617014*^9}, {
   3.6101064606071105`*^9, 3.610106476940339*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"tt", "/.", 
  RowBox[{"h", "\[Rule]", ".0001"}]}]], "Input",
 CellChangeTimes->{{3.6101062135962763`*^9, 3.6101062368871174`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"9.166666666666666`*^7", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "0.0001`"}], "+", "x"}], ")"}], "2"]}], "+", 
  RowBox[{"2.7777777777777772`*^16", " ", 
   SuperscriptBox["x", "2"]}], "+", 
  RowBox[{"5.`*^7", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"0.0001`", "\[VeryThinSpace]", "+", "x"}], ")"}], "2"]}], "+", 
  RowBox[{"3.3333333333333332`*^7", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"0.0002`", "\[VeryThinSpace]", "+", "x"}], ")"}], "2"]}], "-", 
  RowBox[{"8.333333333333333`*^6", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"0.00030000000000000003`", "\[VeryThinSpace]", "+", "x"}], ")"}],
     "2"]}]}]], "Output",
 CellChangeTimes->{{3.610106221848691*^9, 3.6101062373239183`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"test1", "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"-", "1"}], "/", 
     RowBox[{"h", "^", "2"}]}], " ", 
    RowBox[{"Sin", "[", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"j", "-", "1"}], ")"}], " ", "Pi", " ", "q"}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{"N", "+", "1"}], ")"}]}], "]"}]}], " ", "+", 
   RowBox[{
    RowBox[{"2", "/", 
     RowBox[{"h", "^", "2"}]}], "  ", 
    RowBox[{"Sin", "[", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"(", "j", ")"}], " ", "Pi", " ", "q"}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{"N", "+", "1"}], ")"}]}], "]"}]}], " ", "-", 
   RowBox[{
    RowBox[{"1", "/", 
     RowBox[{"h", "^", "2"}]}], " ", 
    RowBox[{"Sin", "[", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"j", "+", "1"}], ")"}], " ", "Pi", " ", "q"}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{"N", "+", "1"}], ")"}]}], "]"}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{"test2", " ", "=", " ", 
  RowBox[{"Sin", "[", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"(", "j", ")"}], " ", "Pi", " ", "q"}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{"N", "+", "1"}], ")"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"test1", " ", "\[Equal]", " ", 
  RowBox[{"et", " ", "test2"}]}]}], "Input",
 CellChangeTimes->{{3.610110674378254*^9, 3.610110819286542*^9}, {
  3.6101108903096037`*^9, 3.610110892108707*^9}, {3.610111006477248*^9, 
  3.6101110253423276`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   FractionBox[
    RowBox[{"Sin", "[", 
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "j"}], ")"}], " ", "\[Pi]", " ", "q"}], 
      RowBox[{"1", "+", "N"}]], "]"}], 
    SuperscriptBox["h", "2"]]}], "+", 
  FractionBox[
   RowBox[{"2", " ", 
    RowBox[{"Sin", "[", 
     FractionBox[
      RowBox[{"j", " ", "\[Pi]", " ", "q"}], 
      RowBox[{"1", "+", "N"}]], "]"}]}], 
   SuperscriptBox["h", "2"]], "-", 
  FractionBox[
   RowBox[{"Sin", "[", 
    FractionBox[
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "+", "j"}], ")"}], " ", "\[Pi]", " ", "q"}], 
     RowBox[{"1", "+", "N"}]], "]"}], 
   SuperscriptBox["h", "2"]]}]], "Output",
 CellChangeTimes->{
  3.610110791764968*^9, {3.6101110188659573`*^9, 3.610111025764352*^9}}],

Cell[BoxData[
 RowBox[{"Sin", "[", 
  FractionBox[
   RowBox[{"j", " ", "\[Pi]", " ", "q"}], 
   RowBox[{"1", "+", "N"}]], "]"}]], "Output",
 CellChangeTimes->{
  3.610110791764968*^9, {3.6101110188659573`*^9, 3.610111025767352*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", 
    FractionBox[
     RowBox[{"Sin", "[", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "j"}], ")"}], " ", "\[Pi]", " ", "q"}], 
       RowBox[{"1", "+", "N"}]], "]"}], 
     SuperscriptBox["h", "2"]]}], "+", 
   FractionBox[
    RowBox[{"2", " ", 
     RowBox[{"Sin", "[", 
      FractionBox[
       RowBox[{"j", " ", "\[Pi]", " ", "q"}], 
       RowBox[{"1", "+", "N"}]], "]"}]}], 
    SuperscriptBox["h", "2"]], "-", 
   FractionBox[
    RowBox[{"Sin", "[", 
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "+", "j"}], ")"}], " ", "\[Pi]", " ", "q"}], 
      RowBox[{"1", "+", "N"}]], "]"}], 
    SuperscriptBox["h", "2"]]}], "\[Equal]", 
  RowBox[{"et", " ", 
   RowBox[{"Sin", "[", 
    FractionBox[
     RowBox[{"j", " ", "\[Pi]", " ", "q"}], 
     RowBox[{"1", "+", "N"}]], "]"}]}]}]], "Output",
 CellChangeTimes->{
  3.610110791764968*^9, {3.6101110188659573`*^9, 3.610111025769352*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"test1", "/.", 
     RowBox[{"j", "\[Rule]", "1"}]}], "/.", 
    RowBox[{"N", "\[Rule]", "1000"}]}], "/.", 
   RowBox[{"q", "\[Rule]", "1"}]}], "/.", 
  RowBox[{"h", "\[Rule]", 
   RowBox[{"1", "/", "1001"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"test2", "/.", 
     RowBox[{"j", "\[Rule]", "1"}]}], "/.", 
    RowBox[{"N", "\[Rule]", "1000"}]}], "/.", 
   RowBox[{"q", "\[Rule]", "1"}]}], "/.", 
  RowBox[{"h", "\[Rule]", 
   RowBox[{"1", "/", "1001"}]}]}]}], "Input",
 CellChangeTimes->{{3.610111094359275*^9, 3.6101111729457703`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"2004002", " ", 
   RowBox[{"Sin", "[", 
    FractionBox["\[Pi]", "1001"], "]"}]}], "-", 
  RowBox[{"1002001", " ", 
   RowBox[{"Sin", "[", 
    FractionBox[
     RowBox[{"2", " ", "\[Pi]"}], "1001"], "]"}]}]}]], "Output",
 CellChangeTimes->{{3.610111125692067*^9, 3.6101111491004057`*^9}, 
   3.610111189117695*^9}],

Cell[BoxData[
 RowBox[{"Sin", "[", 
  FractionBox["\[Pi]", "1001"], "]"}]], "Output",
 CellChangeTimes->{{3.610111125692067*^9, 3.6101111491004057`*^9}, 
   3.6101111891216955`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"test1", "/.", 
       RowBox[{"j", "\[Rule]", "1"}]}], "/.", 
      RowBox[{"N", "\[Rule]", "1000"}]}], "/.", 
     RowBox[{"q", "\[Rule]", "1"}]}], "/.", 
    RowBox[{"h", "\[Rule]", 
     RowBox[{
      RowBox[{"1", "/", "1001"}], "\[Equal]", " ", 
      RowBox[{"et", 
       RowBox[{"(", " ", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"test2", "/.", 
            RowBox[{"j", "\[Rule]", "1"}]}], "/.", 
           RowBox[{"N", "\[Rule]", "1000"}]}], "/.", 
          RowBox[{"q", "\[Rule]", "1"}]}], "/.", 
         RowBox[{"h", "\[Rule]", 
          RowBox[{"1", "/", "1001"}]}]}], ")"}]}]}]}]}], ",", "et"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.6101112042805624`*^9, 3.6101112628229103`*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Solve", "::", "naqs"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(\\(2\\\\ \
\\(\\(Sin[\\(\\(\[Pi]\\/1001\\)\\)]\\)\\)\\)\\/\\((1\\/1001 \[Equal] \\(\\(et\
\\\\ \\(\\(Sin[\\(\\(\[Pi]\\/1001\\)\\)]\\)\\)\\)\\))\\)\\^2 - \
\\(Sin[\\(\\(\\(2\\\\ \[Pi]\\)\\/1001\\)\\)]\\)\\/\\((1\\/1001 \[Equal] \
\\(\\(et\\\\ \\(\\(Sin[\\(\\(\[Pi]\\/1001\\)\\)]\\)\\)\\)\\))\\)\\^2\\)\
\[NoBreak] is not a quantified system of equations and inequalities. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/Solve\\\", ButtonNote -> \
\\\"Solve::naqs\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{{3.6101112561525292`*^9, 3.6101112639729767`*^9}}],

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    FractionBox[
     RowBox[{"2", " ", 
      RowBox[{"Sin", "[", 
       FractionBox["\[Pi]", "1001"], "]"}]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        FractionBox["1", "1001"], "\[Equal]", 
        RowBox[{"et", " ", 
         RowBox[{"Sin", "[", 
          FractionBox["\[Pi]", "1001"], "]"}]}]}], ")"}], "2"]], "-", 
    FractionBox[
     RowBox[{"Sin", "[", 
      FractionBox[
       RowBox[{"2", " ", "\[Pi]"}], "1001"], "]"}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        FractionBox["1", "1001"], "\[Equal]", 
        RowBox[{"et", " ", 
         RowBox[{"Sin", "[", 
          FractionBox["\[Pi]", "1001"], "]"}]}]}], ")"}], "2"]]}], ",", 
   "et"}], "]"}]], "Output",
 CellChangeTimes->{{3.61011125616953*^9, 3.6101112639769764`*^9}}]
}, Open  ]]
},
WindowSize->{1584, 765},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
ShowSelection->True,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (November 20, 2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 128, 2, 31, "Input"],
Cell[CellGroupData[{
Cell[710, 26, 899, 30, 88, "Input"],
Cell[1612, 58, 1192, 34, 49, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2841, 97, 365, 9, 31, "Input"],
Cell[3209, 108, 1249, 39, 49, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4495, 152, 231, 6, 31, "Input"],
Cell[4729, 160, 826, 27, 48, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5592, 192, 901, 30, 48, "Input"],
Cell[6496, 224, 605, 21, 48, "Output"]
}, Open  ]],
Cell[7116, 248, 634, 22, 48, "Input"],
Cell[CellGroupData[{
Cell[7775, 274, 633, 21, 48, InheritFromParent],
Cell[8411, 297, 564, 20, 48, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9012, 322, 601, 16, 112, "Input"],
Cell[9616, 340, 164, 4, 48, "Output"],
Cell[9783, 346, 182, 5, 48, "Output"],
Cell[9968, 353, 162, 4, 48, "Output"],
Cell[10133, 359, 162, 4, 48, "Output"],
Cell[10298, 365, 183, 5, 48, "Output"]
}, Open  ]],
Cell[10496, 373, 189, 3, 52, "Input"],
Cell[10688, 378, 1298, 41, 68, "Input"],
Cell[CellGroupData[{
Cell[12011, 423, 198, 4, 31, "Input"],
Cell[12212, 429, 295, 6, 47, "Output"]
}, Open  ]],
Cell[12522, 438, 1229, 42, 48, "Input"],
Cell[CellGroupData[{
Cell[13776, 484, 150, 3, 31, "Input"],
Cell[13929, 489, 96, 1, 31, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14062, 495, 141, 3, 31, "Input"],
Cell[14206, 500, 72, 1, 31, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14315, 506, 1178, 40, 48, "Input"],
Cell[15496, 548, 939, 35, 51, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16472, 588, 390, 10, 31, "Input"],
Cell[16865, 600, 2144, 43, 247, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[19046, 648, 154, 3, 31, "Input"],
Cell[19203, 653, 807, 22, 31, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[20047, 680, 1559, 48, 72, "Input"],
Cell[21609, 730, 840, 28, 59, "Output"],
Cell[22452, 760, 233, 6, 46, "Output"],
Cell[22688, 768, 1039, 34, 59, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[23764, 807, 633, 19, 52, "Input"],
Cell[24400, 828, 350, 10, 46, "Output"],
Cell[24753, 840, 181, 4, 44, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[24971, 849, 839, 25, 31, "Input"],
Cell[25813, 876, 775, 14, 65, "Message"],
Cell[26591, 892, 854, 27, 66, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
